ICU 74.1 74.1

Public Member Functions | Friends
icu::UCharsTrie::State Class Reference

UCharsTrie state object, for saving a trie's current state and resetting the trie back to this state later. More...

`#include <ucharstrie.h>`

Inheritance diagram for icu::UCharsTrie::State:

## Public Member Functions
| State ()
| Constructs an empty State. More...

## Friends
class | UCharsTrie

## Detailed Description

UCharsTrie state object, for saving a trie's current state and resetting the trie back to this state later.

Stable:
  ICU 4.8

Definition at line 138 of file ucharstrie.h.

## Constructor & Destructor Documentation

## ◆ State()

icu::UCharsTrie::State::State | ( |  | ) |
| inline

Constructs an empty State.

Stable:
  ICU 4.8

Definition at line 144 of file ucharstrie.h.

The documentation for this class was generated from the following file:

- common/unicode/ucharstrie.h